Debian Bug report logs - #658102
tesseract-ocr-dev: please don't ship .la files

version graph

Package: tesseract-ocr-dev; Maintainer for tesseract-ocr-dev is Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>; Source for tesseract-ocr-dev is src:tesseract.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 31 Jan 2012 11:45:04 UTC

Severity: normal

Found in version tesseract/3.01-1

Fixed in version tesseract/3.01-3

Done: Jeff Breidenbach <jab@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>:
Bug#658102; Package tesseract-ocr-dev. (Tue, 31 Jan 2012 11:45:07 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tesseract-ocr-dev: please don't ship .la files
Date: Tue, 31 Jan 2012 12:44:45 +0100
Package: tesseract-ocr-dev
Version: 3.01-1
User: codehelp@debian.org
Usertags: la-file-removal

As per Policy ยง10.2, .la files should not be included in the Debian 
package.

-- 
Jakub Wilk




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 07:09:07 GMT) Full text and rfc822 format available.

Reply sent to Jeff Breidenbach <jab@debian.org>:
You have taken responsibility. (Thu, 02 Feb 2012 16:36:43 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:36:43 GMT) Full text and rfc822 format available.

Message #10 received at 658102-close@bugs.debian.org (full text, mbox):

From: Jeff Breidenbach <jab@debian.org>
To: 658102-close@bugs.debian.org
Subject: Bug#658102: fixed in tesseract 3.01-3
Date: Thu, 02 Feb 2012 16:35:10 +0000
Source: tesseract
Source-Version: 3.01-3

We believe that the bug you reported is fixed in the latest version of
tesseract, which is due to be installed in the Debian FTP archive:

libtesseract-dev_3.01-3_amd64.deb
  to main/t/tesseract/libtesseract-dev_3.01-3_amd64.deb
libtesseract3_3.01-3_amd64.deb
  to main/t/tesseract/libtesseract3_3.01-3_amd64.deb
tesseract-ocr_3.01-3_amd64.deb
  to main/t/tesseract/tesseract-ocr_3.01-3_amd64.deb
tesseract_3.01-3.diff.gz
  to main/t/tesseract/tesseract_3.01-3.diff.gz
tesseract_3.01-3.dsc
  to main/t/tesseract/tesseract_3.01-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeff Breidenbach <jab@debian.org> (supplier of updated tesseract package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 14:22:52 -0800
Source: tesseract
Binary: libtesseract-dev libtesseract3 tesseract-ocr
Architecture: source amd64
Version: 3.01-3
Distribution: unstable
Urgency: low
Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
Changed-By: Jeff Breidenbach <jab@debian.org>
Description: 
 libtesseract-dev - Development files for the tesseract command line OCR tool
 libtesseract3 - Command line OCR tool
 tesseract-ocr - Command line OCR tool
Closes: 599045 658097 658102 658167
Changes: 
 tesseract (3.01-3) unstable; urgency=low
 .
   * Hey we are shipping version 3.x (closes: #599045)
   * Death to .la files (closes: #658102)
   * Temporarily remove osd dependency (closes: #658167)
   * tesseract-ocr-osd dependency now valid (closes: #658167)
   * Better package names for shared libraries (closes: #658097)
   * Tersify descriptions a little bit
Checksums-Sha1: 
 7854a07d5ecf021c4272de022635288cbfed1641 1284 tesseract_3.01-3.dsc
 0f6b49a7ca9c32878bdd944ea4cf0cfdd52b415f 6585 tesseract_3.01-3.diff.gz
 3f74c4d33b568f588e3a685b02c46d9659142a7c 2838138 libtesseract-dev_3.01-3_amd64.deb
 19ff8a4535ae1ffe77fbd7800b99a06d81eabaa5 1102496 libtesseract3_3.01-3_amd64.deb
 5633cf2023324c8d324e8e076571c40c732ed58e 71298 tesseract-ocr_3.01-3_amd64.deb
Checksums-Sha256: 
 69ff21837fe1ddd26b958865a04a158cce621cac7e3ef0b162b57b5209328ed4 1284 tesseract_3.01-3.dsc
 c83a5f5121af1caff4673e0c0504f494fea8368061d286f20ddddf64fd1c5791 6585 tesseract_3.01-3.diff.gz
 e11542cd3c5943935175f1c74f42ee0df888af94842b611c7fb4130281c025d4 2838138 libtesseract-dev_3.01-3_amd64.deb
 3c5dcde960b0b6e2131ec370c035f10141d9978068fa0cd4305d7e72f2d41e5b 1102496 libtesseract3_3.01-3_amd64.deb
 a5817760488dd3e3456afc5aa2277bdde38e4867fb4aef6c5e1e31ce5a4b4463 71298 tesseract-ocr_3.01-3_amd64.deb
Files: 
 3ac06772dfbb9d70afc6c8f6939c2b06 1284 graphics optional tesseract_3.01-3.dsc
 ed463cd7549f778054858cf5352d9cd5 6585 graphics optional tesseract_3.01-3.diff.gz
 7ce9221c7359d9965f16830df89d75bd 2838138 graphics optional libtesseract-dev_3.01-3_amd64.deb
 aaa45b5a19681b4f6721e9c2e706f7ec 1102496 graphics optional libtesseract3_3.01-3_amd64.deb
 fe29f436a1cc3f442c60b57faf35c1a1 71298 graphics optional tesseract-ocr_3.01-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPKJOoazfo3TSzaFYRAiIkAJ9w65O/l8GGAIzKo2TFUVQ+Ky4YHACfZHqg
obxjaFDrW7tOFi7K5O+eAIs=
=WMKP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Mar 2012 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:43:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.